iOS

To integrate the Kaltura Player iOS SDK, the minimum system requirements are:

  • IDE: Xcode version 7 or later (we recommend the latest version)
  • OS version: iOS 8 or later
  • CocoaPods (you can find information on CocoaPods here)

Developer Skills

Developers should have some background knowledge and experience with system setup before building Mobile SDK applications.

The required developer skillset includes:

  • Familiarity with video delivery formats, ad delivery, DRM (when needed), login and passcode flows (these are essential for designing and debugging Mobile SDK applications).
  • At least 1-2 years of experience with the relative coding language Objective-C (for iOS development)
  • Hybrid requirement: Proficiency in HTML5 and JavaScript languages.